@import url('https://fonts.googleapis.com/css2?family=Krona+One&family=Montserrat:wght@400;600&display=swap');

:root {
    --main-bg-color: #000;
    --secundary-color: #F6F6F6;
    --terciary-color: #8b25c2;
    --hover-color: #865DFF;
    --background-button: #272727;

    --primary-font: 'Krona One', sans-serif;
    --secundary-font: 'Montserrat', sans-serif;
}

* {
    margin: 0;
    padding: 0;
} 


body {
    /* height: 100vh; */
    box-sizing: border-box;
    background-color: var(--main-bg-color);
    color: var(--secundary-color);
}

.cabecalho {
    padding: 2% 0 0 15%;
}

.cabecalho__menu {
    display: flex;
    gap: 80px; 
    z-index: 2;
}

.btn__icon__header {
    background-color: transparent;
    border: none;
    color: var(--secundary-color);
    cursor: pointer;
    display: none; 
}

.cabecalho__menu__link  {
    font-family: var(--secundary-font);
    font-size: 1.5rem;
    font-weight: 600;
    color: var(--terciary-color);
    text-decoration: none;
    transition: 0.2s;
    cursor: pointer;
}

.apresentacao {
    padding: 5.9% 15%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 82px;
}

.apresentacao__conteudo {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.apresentacao__conteudo__titulo {
    font-size: 2.25rem;
    font-family: var(--primary-font);
}

.titulo-destaque {
    color: var(--terciary-color);
    transition: 0.2s;
    cursor: pointer;
}

.apresentacao__conteudo__texto {
    font-size: 1.5rem;
    font-family: var(--secundary-font);
    text-align: justify;
}

.apresentacao__links {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 32px;
}

.apresentacao__links__subtitulo {
    font-family: var(--primary-font);
    font-weight: 400;
    font-size: 1.5rem;
}

.apresentacao__links__navegacao {
    display: flex;
    justify-content: center;
    gap: 16px;
    border: 2px solid var(--terciary-color);
    border-radius: 8px;
    width: 50%;
    text-align: center;
    font-size: 1.5rem;
    font-weight: 600;
    padding: 21.5px 0;
    text-decoration: none;
    font-family: var(--secundary-font);
    color: var(--secundary-color);
    transition: 0.2s;
    cursor: pointer;
}

.apresentacao__imagem {
    width: 35%;
    border: 4px solid var(--terciary-color);
    border-radius: 16px;
    transition: 0.2s;
    cursor: pointer;
}

/* HOVER */

.cabecalho__menu__link:hover {
    color: var(--hover-color);

}
.titulo-destaque:hover {
    color:  var(--hover-color);
    font-size: 2.28rem;
}

.apresentacao__links__navegacao:hover {
    border: 2px solid var(--hover-color);
    background-color: var(--background-button);
    font-size: 1.55rem;
}

.apresentacao__imagem:hover {
    border: 4px solid var(--hover-color);
}

.rodape {
    padding: 19.5px;
    background-color: var(--terciary-color);
    color: var(--main-bg-color);
    text-align: center;
    font-family: var(--secundary-font);
    font-size: 1.5rem;
    font-weight: 400;
}

/* CURRICULO */

.apresentacao__curriculum{
    padding: 5.9 0% 0% ;
    display: flex;
    align-items: flex-start;
    margin: 6.5% 15%;
    justify-content: space-between;
}


.curriculum {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 20px;
    text-align: justify;
}

.curriculum__titulos {
    font-family: var(--primary-font);
    font-size: 2.5rem;
    font-weight: 400;
    gap: 50px;
}

.curriculum__conteudo__pessoal__div {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 60px;
}

.curriculum__conteudo__pessoal {
    font-family: var(--secundary-font);
    font-size: 1rem;
    line-height: 170%;
    display: flex;
    flex-direction:column;
    justify-content: space-between;
    align-items: stretch;
    gap: 10px;
}

.curriculum__conteudo__sobre {
    font-family: var(--secundary-font);
    font-size: 1rem;
    line-height: 180%;
}

.curriculum__conteudo__formacao {
    font-family: var(--secundary-font);
    font-size: 1rem;
    line-height: 180%;
    display: flex;
    flex-direction:row;
    gap: 50px;
}

.curriculum__projetos{
    padding-bottom: 30px;
}

.curriculum__link__projetos {
    font-family: var(--secundary-font);
    font-size: 1.25rem;
    font-weight: 500;
    color: var(--secundary-color);
    text-decoration: none;
}

.foto__curriculum {
    width: 35%;
    border-radius: 16px;
   
}

/* MEDIA */

@keyframes showSideBar {
    from {margin-left: -100vw;}
    top {margin-left: -10vw;}
}

@media (max-width: 1200px) {

    .btn__icon__header {
        display: block;
    }

    .cabecalho__menu {
        position: absolute;
        flex-direction: column;
        top: 0;
        background-color: var(--background-button);
        height: 100%;
        width: 35vw;
        padding: 1em;
        animation-duration: 1s;
        margin-left: -100vw;
        align-items: center;
    }

    .cabecalho {
        padding: 10%;
    }


    .apresentacao {
        flex-direction: column-reverse;
        padding: 5.9% 5%;
    }

    .apresentacao__conteudo {
        width: auto;
    }


    /* curriculo */

    .apresentacao__curriculum {
        flex-direction: column-reverse;
        padding: 5.9% 5%;
        align-items: center;
        margin: 0%;
    }

    .curriculum {
        width: auto;  
        margin-top: 19%; 
        
    }

    .curriculum__conteudo__pessoal__div {
        flex-direction: column; 
        
    }

    .curriculum__conteudo__formacao {
        flex-direction: column;
        
    }
}


    
